diff --git a/src/main/java/net/minecraft/core/entity/monster/EntitySlime.java b/src/main/java/net/minecraft/core/entity/monster/SlimeMob.java
similarity index 78%
rename from src/main/java/net/minecraft/core/entity/monster/EntitySlime.java
rename to src/main/java/net/minecraft/core/entity/monster/SlimeMob.java
index 79afce5ee..efa4bb154 100644
--- a/src/main/java/net/minecraft/core/entity/monster/EntitySlime.java
+++ b/src/main/java/net/minecraft/core/entity/monster/SlimeMob.java
@@ -1,14 +1,14 @@
 package net.minecraft.core.entity.monster;
 
 // Referenced classes of package net.minecraft.src:
-//            EntityLiving, IMob, DataWatcher, NBTTagCompound, 
-//            MathHelper, AxisAlignedBB, World, EntityPlayer, 
+//            Mob, IMob, DataWatcher, NBTTagCompound,
+//            MathHelper, AxisAlignedBB, World, Player,
 //            Item, Chunk
 
 import net.minecraft.core.WeightedRandomLootObject;
-import net.minecraft.core.entity.EntityLiving;
-import net.minecraft.core.entity.player.EntityPlayer;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.entity.Mob;
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.MathHelper;
 import com.mojang.nbt.CompoundTag;
@@ -18,44 +18,44 @@ import net.minecraft.core.util.helper.DamageType;
 
 import java.util.List;
 
-public class EntitySlime extends EntityLiving
-    implements IEnemy
+public class SlimeMob extends Mob
+    implements Enemy
 {
 
-    public EntitySlime(World world)
+    public SlimeMob(World world)
     {
         super(world);
-        slimeJumpDelay = 0;
+        jumpDelay = 0;
         textureIdentifier = new NamespaceID("minecraft", "slime");
         heightOffset = 0.0F;
-        slimeJumpDelay = 20;
+        jumpDelay = 20;
         scoreValue = 100;
         this.hasSlimeSplit = false;
-        mobDrops.add(new WeightedRandomLootObject(Item.slimeball.getDefaultStack(), 0, 2));
+        mobDrops.add(new WeightedRandomLootObject(Items.SLIMEBALL.getDefaultStack(), 0, 2));
     }
-    public EntitySlime(World world, boolean isSplit)
+    public SlimeMob(World world, boolean isSplit)
     {
         super(world);
-        slimeJumpDelay = 0;
+        jumpDelay = 0;
         textureIdentifier = new NamespaceID("minecraft", "slime");
         heightOffset = 0.0F;
-        slimeJumpDelay = 20;
+        jumpDelay = 20;
         scoreValue = 100;
         this.hasSlimeSplit = isSplit;
-        mobDrops.add(new WeightedRandomLootObject(Item.slimeball.getDefaultStack(), 0, 2));
+        mobDrops.add(new WeightedRandomLootObject(Items.SLIMEBALL.getDefaultStack(), 0, 2));
     }
 
     @Override
-	protected void init()
+	protected void defineSynchedData()
     {
-        super.init();
+        super.defineSynchedData();
         entityData.define(16, (byte) 1);
     }
 
     @Override
 	public void spawnInit()
     {
-        super.init();
+        super.defineSynchedData();
         if(!hasSlimeSplit) {
         	int size = random.nextInt(3) + 1;
         	if(size == 3) size = 4;
@@ -102,7 +102,7 @@ public class EntitySlime extends EntityLiving
             setSlimeSize(getSlimeSize());
             sizeSet = true;
         }
-        field_767_b = field_768_a;
+        oSquish = squish;
         boolean flag = onGround;
         super.tick();
         if(onGround && !flag)
@@ -114,49 +114,49 @@ public class EntitySlime extends EntityLiving
                 double f1 = random.nextFloat() * 0.5D + 0.5D;
                 double f2 = MathHelper.sin(f) * (float)i * 0.5D * f1;
                 double f3 = MathHelper.cos(f) * (float)i * 0.5D * f1;
-                world.spawnParticle("item", x + f2, bb.minY, z + f3, 0.0, 0.0D, 0.0D, Item.slimeball.id);
+                world.spawnParticle("item", x + f2, bb.minY, z + f3, 0.0, 0.0D, 0.0D, Items.SLIMEBALL.id);
             }
 
             if(i > 2)
             {
                 world.playSoundAtEntity(null, this, "mob.slime", getSoundVolume(), ((random.nextFloat() - random.nextFloat()) * 0.2F + 1.0F) / 0.8F);
             }
-            field_768_a = -0.5F;
+            squish = -0.5F;
         }
         if (!world.isClientSide && world.difficultySetting == 0)
         {
         	remove();
         }
-        field_768_a = field_768_a * 0.6F;
+        squish = squish * 0.6F;
     }
 
     @Override
-	protected void updatePlayerActionState()
+	protected void updateAI()
     {
         tryToDespawn();
-        EntityPlayer entityplayer = world.getClosestPlayerToEntity(this, 16D);
+        Player entityplayer = world.getClosestPlayerToEntity(this, 16D);
         boolean targetPlayer = entityplayer != null && entityplayer.getGamemode().areMobsHostile();
         if(entityplayer != null && targetPlayer)
         {
-            faceEntity(entityplayer, 10F, 20F);
+            lookAt(entityplayer, 10F, 20F);
         }
-        if(onGround && slimeJumpDelay-- <= 0)
+        if(onGround && jumpDelay-- <= 0)
         {
         	if(!targetPlayer) {
         		float rotation = (world.rand.nextFloat() - 0.5f) * 90.0f;
         		this.yRot += rotation;
         	}
-            slimeJumpDelay = random.nextInt(20) + 10;
+            jumpDelay = random.nextInt(20) + 10;
             if(entityplayer != null)
             {
-                slimeJumpDelay /= 3;
+                jumpDelay /= 3;
             }
             isJumping = true;
             if(getSlimeSize() > 1)
             {
                 world.playSoundAtEntity(null, this, "mob.slime", getSoundVolume(), ((random.nextFloat() - random.nextFloat()) * 0.2F + 1.0F) * 0.8F);
             }
-            field_768_a = 1.0F;
+            squish = 1.0F;
             moveStrafing = 1.0F - random.nextFloat() * 2.0F;
             moveForward = getSlimeSize();
         } else
@@ -180,7 +180,7 @@ public class EntitySlime extends EntityLiving
             {
                 float f = (((float)(j % 2) - 0.5F) * (float)size) / 4F;
                 float f1 = (((float)(j / 2) - 0.5F) * (float)size) / 4F;
-                EntitySlime entityslime = new EntitySlime(world, true);
+                SlimeMob entityslime = new SlimeMob(world, true);
                 entityslime.setSlimeSize(size / 2);
                 entityslime.moveTo(x + (double)f, y + 0.5D, z + (double)f1, random.nextFloat() * 360F, 0.0F);
                 world.entityJoinedWorld(entityslime);
@@ -191,7 +191,7 @@ public class EntitySlime extends EntityLiving
     }
 
     @Override
-	public void playerTouch(EntityPlayer player)
+	public void playerTouch(Player player)
     {
         int i = getSlimeSize();
         if(i > 1 && canEntityBeSeen(player) && (double) distanceTo(player) < 0.6D * (double)i && player.hurt(this, i, DamageType.COMBAT))
@@ -225,16 +225,16 @@ public class EntitySlime extends EntityLiving
     }
 
     @Override
-	public boolean getCanSpawnHere()
+	public boolean canSpawnHere()
     {
-        Chunk chunk = world.getChunkFromBlockCoords(MathHelper.floor_double(x), MathHelper.floor_double(z));
+        Chunk chunk = world.getChunkFromBlockCoords(MathHelper.floor(x), MathHelper.floor(z));
         if(y > 32D)
             return false;
         if(chunk.getChunkRandom(0x3AD8025FL).nextInt(10) != 0)
             return false;
         if(world.difficultySetting == 0)
             return false;
-        return super.getCanSpawnHere();
+        return super.canSpawnHere();
     }
 
 
@@ -244,9 +244,9 @@ public class EntitySlime extends EntityLiving
         return 0.6F;
     }
 
-    public float field_768_a;
-    public float field_767_b;
-    private int slimeJumpDelay;
+    public float squish;
+    public float oSquish;
+    private int jumpDelay;
     private final boolean hasSlimeSplit;
     private boolean sizeSet = false;
 }
diff --git a/src/main/java/net/minecraft/core/entity/monster/EntitySnowman.java b/src/main/java/net/minecraft/core/entity/monster/SnowmanMob.java
similarity index 57%
rename from src/main/java/net/minecraft/core/entity/monster/EntitySnowman.java
rename to src/main/java/net/minecraft/core/entity/monster/SnowmanMob.java
index 9b9e2b196..b60f78e83 100644
--- a/src/main/java/net/minecraft/core/entity/monster/EntitySnowman.java
+++ b/src/main/java/net/minecraft/core/entity/monster/SnowmanMob.java
@@ -4,29 +4,29 @@ package net.minecraft.core.entity.monster;
 //            EntityMob, World, MathHelper, Item
 
 import net.minecraft.core.WeightedRandomLootObject;
-import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.projectile.EntitySnowball;
+import net.minecraft.core.entity.projectile.SnowballProjectile;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.biome.Biomes;
 import net.minecraft.core.world.season.Seasons;
-import net.minecraft.core.world.weather.Weather;
+import net.minecraft.core.world.weather.Weathers;
 
-public class EntitySnowman extends EntityMonster
+public class SnowmanMob extends Monster
 {
 
-    public EntitySnowman(World world)
+    public SnowmanMob(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "snowman");
         moveSpeed = 0.5F;
         attackStrength = 5;
         scoreValue = 300;
-        mobDrops.add(new WeightedRandomLootObject(Item.ammoSnowball.getDefaultStack(), 0, 2));
+        mobDrops.add(new WeightedRandomLootObject(Items.AMMO_SNOWBALL.getDefaultStack(), 0, 2));
     }
 
     @Override
@@ -35,8 +35,8 @@ public class EntitySnowman extends EntityMonster
         if(world.isDaytime())
         {
             float f = getBrightness(1.0F);
-            if(f > 0.5F && world.canBlockSeeTheSky(MathHelper.floor_double(x), MathHelper.floor_double(y), MathHelper.floor_double(z)) && random.nextFloat() * 30F < (f - 0.4F) * 2.0F
-                    && (world.getCurrentWeather() != Weather.overworldFog || world.weatherManager.getWeatherPower() < 0.75F) && world.getCurrentWeather() != Weather.overworldSnow && world.getCurrentWeather() != Weather.overworldWinterSnow)
+            if(f > 0.5F && world.canBlockSeeTheSky(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z)) && random.nextFloat() * 30F < (f - 0.4F) * 2.0F
+                    && (world.getCurrentWeather() != Weathers.OVERWORLD_FOG || world.weatherManager.getWeatherPower() < 0.75F) && world.getCurrentWeather() != Weathers.OVERWORLD_SNOW && world.getCurrentWeather() != Weathers.OVERWORLD_WINTER_SNOW)
             {
                 remainingFireTicks = 300;
             }
@@ -54,17 +54,17 @@ public class EntitySnowman extends EntityMonster
             if(attackTime == 0)
             {
                 if(!world.isClientSide) {
-                    EntitySnowball snowball = new EntitySnowball(world, this);
-                    if (world.getBlockId((int) x, (int) y - 1, (int) z) == Block.gravel.id)
+                    SnowballProjectile snowballProjectile = new SnowballProjectile(world, this);
+                    if (world.getBlockId((int) x, (int) y - 1, (int) z) == Blocks.GRAVEL.id)
                     {
-                        snowball.damage = 1;
+                        snowballProjectile.damage = 1;
                     }
-                    snowball.y += 1.4D;
-                    double d2 = (entity.y + (double) entity.getHeadHeight()) - 0.2D - snowball.y;
-                    float f1 = MathHelper.sqrt_double(dX * dX + dZ * dZ) * 0.2F;
+                    snowballProjectile.y += 1.4D;
+                    double d2 = (entity.y + (double) entity.getHeadHeight()) - 0.2D - snowballProjectile.y;
+                    float f1 = MathHelper.sqrt(dX * dX + dZ * dZ) * 0.2F;
                     world.playSoundAtEntity(null, this, "random.bow", 0.5F, 0.4F / (random.nextFloat() * 0.4F + 0.8F));
-                    world.entityJoinedWorld(snowball);
-                    snowball.setHeadingPrecise(dX, d2 + (double) f1, dZ, 0.6F);
+                    world.entityJoinedWorld(snowballProjectile);
+                    snowballProjectile.setHeadingPrecise(dX, d2 + (double) f1, dZ, 0.6F);
                 }
                 attackTime = 30;
             }
@@ -78,14 +78,14 @@ public class EntitySnowman extends EntityMonster
     }
 
     @Override
-    public boolean getCanSpawnHere()
+    public boolean canSpawnHere()
     {
         int x = (int) this.x;
         int y = (int) this.y;
         int z = (int) this.z;
         Biome biome = world.getBlockBiome(x, y, z);
 
-        return super.getCanSpawnHere() && (world.canBlockSeeTheSky(x, y, z) && ((biome == Biomes.OVERWORLD_GLACIER) || ((world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER || world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER_ENDLESS) && (world.getCurrentWeather() == Weather.overworldSnow || world.getCurrentWeather() == Weather.overworldWinterSnow))));
+        return super.canSpawnHere() && (world.canBlockSeeTheSky(x, y, z) && ((biome == Biomes.OVERWORLD_GLACIER) || ((world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER || world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER_ENDLESS) && (world.getCurrentWeather() == Weathers.OVERWORLD_SNOW || world.getCurrentWeather() == Weathers.OVERWORLD_WINTER_SNOW))));
     }
 
     @Override
@@ -107,11 +107,11 @@ public class EntitySnowman extends EntityMonster
     }
 
     @Override
-    protected void dropFewItems()
+    protected void dropDeathItems()
     {
         if (random.nextInt(1000) == 0){
-            spawnAtLocation(Item.bucketIcecream.id, 1);
+            spawnAtLocation(Items.BUCKET_ICECREAM.id, 1);
         }
-        super.dropFewItems();
+        super.dropDeathItems();
     }
 }
diff --git a/src/main/java/net/minecraft/core/entity/monster/EntitySpider.java b/src/main/java/net/minecraft/core/entity/monster/SpiderMob.java
similarity index 82%
rename from src/main/java/net/minecraft/core/entity/monster/EntitySpider.java
rename to src/main/java/net/minecraft/core/entity/monster/SpiderMob.java
index 8f3712397..85cafede5 100644
--- a/src/main/java/net/minecraft/core/entity/monster/EntitySpider.java
+++ b/src/main/java/net/minecraft/core/entity/monster/SpiderMob.java
@@ -6,39 +6,39 @@ package net.minecraft.core.entity.monster;
 
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.player.EntityPlayer;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.MathHelper;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.world.World;
 
-public class EntitySpider extends EntityMonster
+public class SpiderMob extends Monster
 {
 
-    public EntitySpider(World world)
+    public SpiderMob(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "spider");
         setSize(1.4F, 0.9F);
         moveSpeed = 0.8F;
         scoreValue = 200;
-        mobDrops.add(new WeightedRandomLootObject(Item.string.getDefaultStack(), 0, 2));
+        mobDrops.add(new WeightedRandomLootObject(Items.STRING.getDefaultStack(), 0, 2));
     }
 
     @Override
-	protected void init()
+	protected void defineSynchedData()
     {
-        super.init();
+        super.defineSynchedData();
         entityData.define(16, (byte) 1);
 
     }
     @Override
 	public void spawnInit()
     {
-        super.init();
+        super.defineSynchedData();
         if(world.difficultySetting != 0 && random.nextInt(100 / world.difficultySetting) == 0) {
-            EntitySkeleton entityskeleton = new EntitySkeleton(world);
+            SkeletonMob entityskeleton = new SkeletonMob(world);
             entityskeleton.moveTo(x, y, z, yRot, 0.0F);
             world.entityJoinedWorld(entityskeleton);
             entityskeleton.startRiding(this);
@@ -65,7 +65,7 @@ public class EntitySpider extends EntityMonster
         if(f < 0.5F)
         {
             double d = 16D;
-            EntityPlayer p = world.getClosestPlayerToEntity(this, d);
+            Player p = world.getClosestPlayerToEntity(this, d);
             if (p != null)
             {
             	if (!p.gamemode.areMobsHostile()) return null;
@@ -110,9 +110,9 @@ public class EntitySpider extends EntityMonster
             {
                 double d = entity.x - x;
                 double d1 = entity.z - z;
-                float f2 = MathHelper.sqrt_double(d * d + d1 * d1);
-                xd = (d / (double)f2) * 0.5D * 0.80000001192092896D + xd * 0.20000000298023224D;
-                zd = (d1 / (double)f2) * 0.5D * 0.80000001192092896D + zd * 0.20000000298023224D;
+                float f2 = MathHelper.sqrt(d * d + d1 * d1);
+                xd = (d / (double)f2) * 0.5D * 0.80000001192092896D + xd * 0.2D;
+                zd = (d1 / (double)f2) * 0.5D * 0.80000001192092896D + zd * 0.2D;
                 yd = 0.40000000596046448D;
             }
         } else
diff --git a/src/main/java/net/minecraft/core/entity/monster/EntityArmoredZombie.java b/src/main/java/net/minecraft/core/entity/monster/ZombieArmoredMob.java
similarity index 90%
rename from src/main/java/net/minecraft/core/entity/monster/EntityArmoredZombie.java
rename to src/main/java/net/minecraft/core/entity/monster/ZombieArmoredMob.java
index bad5261e2..1ca4a8999 100644
--- a/src/main/java/net/minecraft/core/entity/monster/EntityArmoredZombie.java
+++ b/src/main/java/net/minecraft/core/entity/monster/ZombieArmoredMob.java
@@ -5,8 +5,8 @@ package net.minecraft.core.entity.monster;
 
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.EntityItem;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.DamageType;
@@ -16,10 +16,10 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Random;
 
-public class EntityArmoredZombie extends EntityZombie
+public class ZombieArmoredMob extends ZombieMob
 {
     private boolean isHoldingSword;
-    public EntityArmoredZombie(World world)
+    public ZombieArmoredMob(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "zombie_armored");
@@ -47,7 +47,7 @@ public class EntityArmoredZombie extends EntityZombie
         scoreValue = 1000;
     }
     @Override
-    public void init(){
+    public void defineSynchedData(){
         entityData.define(6, Integer.valueOf(0));
         entityData.define(7, Short.valueOf((short) 0));
     }
@@ -74,7 +74,7 @@ public class EntityArmoredZombie extends EntityZombie
                 int numChainlinks = random.nextInt(2);
                 for (int k = 0; k < numChainlinks; k++)
                 {
-                    EntityItem entityitem = spawnAtLocation(new ItemStack(Item.chainlink), 1.0F);
+                    ItemEntity entityitem = spawnAtLocation(new ItemStack(Items.CHAINLINK), 1.0F);
                     entityitem.yd += random.nextFloat() * 0.05F;
                     entityitem.xd += (random.nextFloat() - random.nextFloat()) * 0.1F;
                     entityitem.zd += (random.nextFloat() - random.nextFloat()) * 0.1F;
@@ -123,6 +123,6 @@ public class EntityArmoredZombie extends EntityZombie
 
     static
     {
-        defaultHeldItem = new ItemStack(Item.toolSwordIron, 1);
+        defaultHeldItem = new ItemStack(Items.TOOL_SWORD_IRON, 1);
     }
 }
diff --git a/src/main/java/net/minecraft/core/entity/monster/EntityZombie.java b/src/main/java/net/minecraft/core/entity/monster/ZombieMob.java
similarity index 69%
rename from src/main/java/net/minecraft/core/entity/monster/EntityZombie.java
rename to src/main/java/net/minecraft/core/entity/monster/ZombieMob.java
index 49832f78b..f6251782f 100644
--- a/src/main/java/net/minecraft/core/entity/monster/EntityZombie.java
+++ b/src/main/java/net/minecraft/core/entity/monster/ZombieMob.java
@@ -4,23 +4,23 @@ package net.minecraft.core.entity.monster;
 //            EntityMob, World, MathHelper, Item
 
 import net.minecraft.core.WeightedRandomLootObject;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.world.weather.Weather;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.weather.Weathers;
 
-public class EntityZombie extends EntityMonster
+public class ZombieMob extends Monster
 {
 
-    public EntityZombie(World world)
+    public ZombieMob(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "zombie");
         moveSpeed = 0.5F;
         attackStrength = 5;
         scoreValue = 300;
-        mobDrops.add(new WeightedRandomLootObject(Item.cloth.getDefaultStack(), 0, 2));
+        mobDrops.add(new WeightedRandomLootObject(Items.CLOTH.getDefaultStack(), 0, 2));
     }
 
     @Override
@@ -29,8 +29,8 @@ public class EntityZombie extends EntityMonster
         if(world.isDaytime())
         {
             float f = getBrightness(1.0F);
-            if(f > 0.5F && world.canBlockSeeTheSky(MathHelper.floor_double(x), MathHelper.floor_double(y), MathHelper.floor_double(z)) && random.nextFloat() * 30F < (f - 0.4F) * 2.0F
-                    && (world.getCurrentWeather() != Weather.overworldFog || world.weatherManager.getWeatherPower() < 0.75F))
+            if(f > 0.5F && world.canBlockSeeTheSky(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z)) && random.nextFloat() * 30F < (f - 0.4F) * 2.0F
+                    && (world.getCurrentWeather() != Weathers.OVERWORLD_FOG || world.weatherManager.getWeatherPower() < 0.75F))
             {
                 remainingFireTicks = 300;
             }
diff --git a/src/main/java/net/minecraft/core/entity/monster/EntityPigZombie.java b/src/main/java/net/minecraft/core/entity/monster/ZombiePigMob.java
similarity index 77%
rename from src/main/java/net/minecraft/core/entity/monster/EntityPigZombie.java
rename to src/main/java/net/minecraft/core/entity/monster/ZombiePigMob.java
index 2c4a21eed..5d33fbc47 100644
--- a/src/main/java/net/minecraft/core/entity/monster/EntityPigZombie.java
+++ b/src/main/java/net/minecraft/core/entity/monster/ZombiePigMob.java
@@ -2,8 +2,8 @@ package net.minecraft.core.entity.monster;
 
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.player.EntityPlayer;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.util.collection.NamespaceID;
@@ -16,13 +16,13 @@ import java.util.ArrayList;
 import java.util.List;
 
 // Referenced classes of package net.minecraft.src:
-//            EntityZombie, World, NBTTagCompound, EntityPlayer, 
+//            ZombieMob, World, NBTTagCompound, Player,
 //            AxisAlignedBB, Entity, Item, ItemStack
 
-public class EntityPigZombie extends EntityZombie
+public class ZombiePigMob extends ZombieMob
 {
 
-    public EntityPigZombie(World world)
+    public ZombiePigMob(World world)
     {
         super(world);
         angerLevel = 0;
@@ -46,11 +46,11 @@ public class EntityPigZombie extends EntityZombie
     }
 
     @Override
-	public boolean getCanSpawnHere()
+	public boolean canSpawnHere()
     {
-    	int x = MathHelper.floor_double(this.x);
-    	int y = MathHelper.floor_double(this.y);
-    	int z = MathHelper.floor_double(this.z);
+    	int x = MathHelper.floor(this.x);
+    	int y = MathHelper.floor(this.y);
+    	int z = MathHelper.floor(this.z);
     	if(world.getBlockId(x, y, z) != 0) return false;
     	int blockLight = world.getSavedLightValue(LightLayer.Block, x, y, z);
     	if(blockLight > 7) return false;
@@ -89,15 +89,15 @@ public class EntityPigZombie extends EntityZombie
     	if(type == DamageType.FIRE) {
     		return false;
     	}
-        if(attacker instanceof EntityPlayer)
+        if(attacker instanceof Player)
         {
-            List list = world.getEntitiesWithinAABBExcludingEntity(this, bb.expand(32D, 32D, 32D));
+            List list = world.getEntitiesWithinAABBExcludingEntity(this, bb.grow(32D, 32D, 32D));
             for(int j = 0; j < list.size(); j++)
             {
                 Entity entity1 = (Entity)list.get(j);
-                if(entity1 instanceof EntityPigZombie)
+                if(entity1 instanceof ZombiePigMob)
                 {
-                    EntityPigZombie entitypigzombie = (EntityPigZombie)entity1;
+                    ZombiePigMob entitypigzombie = (ZombiePigMob)entity1;
                     entitypigzombie.becomeAngryAt(attacker);
                 }
             }
@@ -141,14 +141,14 @@ public class EntityPigZombie extends EntityZombie
         if (!(drop < 0.5f)) {
             if (drop < 0.95f) {
                 if (isOnFire()) {
-                    drops.add(new WeightedRandomLootObject(Item.foodPorkchopCooked.getDefaultStack(), 0, 1));
+                    drops.add(new WeightedRandomLootObject(Items.FOOD_PORKCHOP_COOKED.getDefaultStack(), 0, 1));
                 } else {
-                    drops.add(new WeightedRandomLootObject(Item.foodPorkchopRaw.getDefaultStack(), 0, 1));
+                    drops.add(new WeightedRandomLootObject(Items.FOOD_PORKCHOP_RAW.getDefaultStack(), 0, 1));
                 }
             } else if (drop < 0.99f) {
-                drops.add(new WeightedRandomLootObject(Item.oreRawGold.getDefaultStack(), 0, 1));
+                drops.add(new WeightedRandomLootObject(Items.ORE_RAW_GOLD.getDefaultStack(), 0, 1));
             } else {
-                drops.add(new WeightedRandomLootObject(Item.toolSwordGold.getDefaultStack(), 0, 1));
+                drops.add(new WeightedRandomLootObject(Items.TOOL_SWORD_GOLD.getDefaultStack(), 0, 1));
             }
         }
 
@@ -167,6 +167,6 @@ public class EntityPigZombie extends EntityZombie
 
     static 
     {
-        defaultHeldItem = new ItemStack(Item.toolSwordGold, 1);
+        defaultHeldItem = new ItemStack(Items.TOOL_SWORD_GOLD, 1);
     }
 }
